ChangeSet 1.1096, 2003/05/09 16:25:57-07:00, corbet@lwn.net

[PATCH] cpufreq class fix


 include/linux/cpu.h |    1 +
 kernel/cpufreq.c    |    2 ++
 2 files changed, 3 insertions(+)


diff -Nru a/include/linux/cpu.h b/include/linux/cpu.h
--- a/include/linux/cpu.h	Fri May  9 16:40:39 2003
+++ b/include/linux/cpu.h	Fri May  9 16:40:39 2003
@@ -29,6 +29,7 @@
 };
 
 extern int register_cpu(struct cpu *, int, struct node *);
+extern struct class cpu_class;
 
 /* Stop CPUs going up and down. */
 extern struct semaphore cpucontrol;
diff -Nru a/kernel/cpufreq.c b/kernel/cpufreq.c
--- a/kernel/cpufreq.c	Fri May  9 16:40:39 2003
+++ b/kernel/cpufreq.c	Fri May  9 16:40:39 2003
@@ -22,6 +22,7 @@
 #include <linux/spinlock.h>
 #include <linux/device.h>
 #include <linux/slab.h>
+#include <linux/cpu.h>
 
 /**
  * The "cpufreq driver" - the arch- or hardware-dependend low
@@ -115,6 +116,7 @@
 extern struct device_class cpu_devclass;
 
 static struct class_interface cpufreq_interface = {
+        .class =	&cpu_class,
         .add =		&cpufreq_add_dev,
         .remove =	&cpufreq_remove_dev,
 };
